uk.gov.hmrc.ct.box

# CtBigDecimal

###
Related Doc: package box

#### trait CtBigDecimal extends CtValue[BigDecimal]

Self Type
  CtBigDecimal with CtBoxIdentifier

Linear Supertypes
CtValue[BigDecimal], AnyRef, Any
Known Subclasses
B340, B345, B390, B395, B430, B440, B45, B46, B475, B510, B525, B55, B56, B63, B64, B65, B70, B78, B84, B85, B86, B91, B92, B93, CATO04, CATO21, CATO22, E1005, E1015, E1035, E1045
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtBigDecimal
2. CtValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def value: BigDecimal

   Definition Classes
     CtValue

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isPositive: Boolean

15. #### def minus(other: CtOptionalBigDecimal): BigDecimal

16. #### def minus(other: BigDecimal): BigDecimal

17. #### def minus(other: CtBigDecimal): BigDecimal

18. #### def multiply(other: CtInteger): BigDecimal

19. #### def multiply(other: CtBigDecimal): BigDecimal

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def plus(other: CtOptionalBigDecimal): BigDecimal

24. #### def plus(other: BigDecimal): BigDecimal

25. #### def plus(other: CtBigDecimal): BigDecimal

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtValue[BigDecimal]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped